* [gentoo-commits] dev/alexxy:master commit in: sys-fs/snapper/
@ 2013-03-05 9:49 Alexey Shvetsov
0 siblings, 0 replies; 2+ messages in thread
From: Alexey Shvetsov @ 2013-03-05 9:49 UTC (permalink / raw
To: gentoo-commits
commit: 44f4c7dcb2b890994b977f329e7e93392e8841de
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 5 09:49:39 2013 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Tue Mar 5 09:49:39 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/alexxy.git;a=commit;h=44f4c7dc
Add snapper
Package-Manager: portage-2.2.0_alpha166
---
sys-fs/snapper/metadata.xml | 18 ++++++++++++
sys-fs/snapper/snapper-9999.ebuild | 52 ++++++++++++++++++++++++++++++++++++
2 files changed, 70 insertions(+), 0 deletions(-)
diff --git a/sys-fs/snapper/metadata.xml b/sys-fs/snapper/metadata.xml
new file mode 100644
index 0000000..78a6170
--- /dev/null
+++ b/sys-fs/snapper/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <longdescription>
+ Snapper is a command-line program for filesystem snapshot management.
+ It can create, delete and compare snapshots and undo changes done
+ between snapshots. It supports both btrfs and ext4.
+ </longdescription>
+ <upstream>
+ <maintainer status="active">
+ <email>aschnell@suse.de</email>
+ <name>Arvin Schnell</name>
+ </maintainer>
+ <changelog>https://raw.github.com/openSUSE/snapper/master/package/snapper.changes</changelog>
+ <bugs-to>https://bugzilla.novell.com/</bugs-to>
+ <remote-id type="github">openSUSE/snapper</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sys-fs/snapper/snapper-9999.ebuild b/sys-fs/snapper/snapper-9999.ebuild
new file mode 100644
index 0000000..c1e31b0
--- /dev/null
+++ b/sys-fs/snapper/snapper-9999.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit git-2 autotools
+
+DESCRIPTION="Command-line program for btrfs and ext4 snapshot management"
+HOMEPAGE="http://snapper.io/"
+EGIT_REPO_URI="git://github.com/openSUSE/snapper.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="sys-apps/dbus
+ virtual/libintl
+ dev-libs/libxml2
+ dev-libs/boost
+ sys-libs/zlib"
+DEPEND="${RDEPEND}
+ sys-devel/autoconf
+ sys-devel/automake
+ sys-devel/libtool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_configure() {
+ # No configure file provided at the moment
+ eautoreconf --force --install
+ # No YaST in Gentoo
+ econf --disable-zypp --with-conf="/etc/conf.d"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "Install failed"
+ nonfatal dodoc AUTHORS LIBVERSION VERSION package/snapper.changes
+ # Exising configuration file required to function
+ # Not certain if this is needed, now that Snapper is conf.d-aware
+ mkdir -p "${D}/etc/conf.d"
+ cp -n "${EGIT_SOURCEDIR}/data/sysconfig.snapper" "${D}/etc/conf.d/snapper" || die
+}
+
+pkg_postinst() {
+ elog "In order to use Snapper, you need to set up at least one config"
+ elog "manually, or else the tool will get confused. Typically you should"
+ elog "create a '/.snapshots' directory, then copy the file"
+ elog "'/etc/snapper/config-templates/default' into '/etc/snapper/configs/',"
+ elog "rename the file to 'root', and add its name into '/etc/conf.d/snapper'."
+ elog "That will instruct Snapper to snapshot the root of the filesystem by"
+ elog "default. For more information, see the snapper(8) manual page."
+}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] dev/alexxy:master commit in: sys-fs/snapper/
@ 2013-03-05 9:52 Alexey Shvetsov
0 siblings, 0 replies; 2+ messages in thread
From: Alexey Shvetsov @ 2013-03-05 9:52 UTC (permalink / raw
To: gentoo-commits
commit: 55d5d7b0e034e1ade34be4b79c69c6164192bed8
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 5 09:52:20 2013 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Tue Mar 5 09:52:20 2013 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/alexxy.git;a=commit;h=55d5d7b0
Fix ebuild
Package-Manager: portage-2.2.0_alpha166
---
sys-fs/snapper/snapper-9999.ebuild | 7 +++++--
1 files changed, 5 insertions(+), 2 deletions(-)
diff --git a/sys-fs/snapper/snapper-9999.ebuild b/sys-fs/snapper/snapper-9999.ebuild
index c1e31b0..ba1e1c4 100644
--- a/sys-fs/snapper/snapper-9999.ebuild
+++ b/sys-fs/snapper/snapper-9999.ebuild
@@ -25,9 +25,12 @@ DEPEND="${RDEPEND}
sys-devel/gettext
virtual/pkgconfig"
-src_configure() {
+src_prepare() {
# No configure file provided at the moment
- eautoreconf --force --install
+ eautoreconf
+}
+
+src_configure() {
# No YaST in Gentoo
econf --disable-zypp --with-conf="/etc/conf.d"
}
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2013-03-05 9:52 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-03-05 9:49 [gentoo-commits] dev/alexxy:master commit in: sys-fs/snapper/ Alexey Shvetsov
-- strict thread matches above, loose matches on Subject: below --
2013-03-05 9:52 Alexey Shvetsov
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox